import 'package:dio/dio.dart';
import 'package:dio_http_formatter/dio_http_formatter.dart';
import 'package:test/test.dart';

import 'init.dart';

void main() {
  Dio? dioInstance;

  setUpAll(() {
    dioInstance = get_dio_instance();
    // Configure the `dio` instance with `DioHttpFormatter`
    dioInstance?.interceptors.add(HttpFormatter());
  });
  group('GET Requests', () {
    test('Content-Type: HTML', () async {
      await dioInstance?.get('https://example.com');
    });

    test('Content-Type: JSON', () async {
      await dioInstance?.get('https://example.com',
          options: Options(contentType: 'application/json'));
    });
  });
}
